import { PageResult, PageParams } from './common';

export interface OptionItem {
  id: string;
  name: string;
}

export interface TaskItem {
  id: string;
  name: string;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
  enable: number; // 1:启用；0:禁用
  updateTime: number;
}

export type TaskListPageRes = PageResult<TaskItem>;

export interface TaskItemDetail {
  id: string;
  name: string;
  allowApplyDays: number;
  allowApplyCancelDays: number;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
  time: [
    {
      id: string;
      startTime: number;
      endTime: number;
    }
  ];
  notice: string;
}

export interface TaskRuleUpdateParams {
  id?: string;
  name: string;
  allowApplyDays: number;
  allowApplyCancelDays: number;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
}

export interface OrderRecordItem {
  id: string;
  stdName: string;
  identityNumber: string;
  studentCode: string;
  teachingName: string;
  agentName: string; //未预约的时候为空
  applyTimePeriod: string; //未预约的时候为空
  roomName: string; //未排考为空
  seatNumber: string; //未排考为空
  operationTime: string; //未预约的时候为空
}
export type OrderRecordListPageRes = PageResult<OrderRecordItem>;
export interface OrderRecordListFilter {
  teachingId: number;
  agentId: number;
  name: string;
  identityNumber: string;
  studentCode: string;
}
export type OrderRecordListPageParam = PageParams<OrderRecordListFilter>;
